#
# spec file for package libmicro
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libmicro
Version:        0.4.2+hg.20120726
Release:        3.14
Summary:        LibMicro is a portable set of microbenchmarks
License:        CDDL-1.0
Group:          System/Benchmark
URL:            https://java.net/projects/libmicro
Source0:        %{name}-%{version}.tar.xz
Patch0:         find_binary.patch
Patch1:         removed_undefined_warning.patch
Patch2:         fix-link.diff
Patch3:         libmicro-implicit-fortify-decl.patch

%description
LibMicro is a portable set of microbenchmarks that many Solaris
engineers used during Solaris 10 development to measure the
performance of various system and library calls.

%prep
%autosetup

%build
%make_build CFLAGS="%{optflags}"

%install
rm bin-*/*.a
rm bin-*/*.h
rm bin-*/*.o
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libexecdir}/libMicro/bin
cp bin/* %{buildroot}%{_libexecdir}/libMicro/bin
cp bin-*/* %{buildroot}%{_libexecdir}/libMicro/bin
install -m 755 bench.sh %{buildroot}%{_bindir}
install -m 755 multiview.sh %{buildroot}%{_bindir}

%files
%license OPENSOLARIS.LICENSE
%doc README
%{_libexecdir}/libMicro
%{_bindir}/bench.sh
%{_bindir}/multiview.sh

%changelog
* Thu Dec 19 2019 Martin Pluskal <mpluskal@suse.com>
- Do not ship .o files - boo#1159556
* Fri Dec  6 2019 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Sat Jul  2 2016 mpluskal@suse.com
- Update to latest mercurial snapshot (4.2.2+hg.20120726)
  * lots of small changes
- Build with optflags
- Refresh patches
- Add libmicro-implicit-fortify-decl.patch
* Sat Feb 14 2015 mpluskal@suse.com
- Update url
- Remove ctcs glue
- Install bench.sh and multiview.sh to /usr/bin
- Don't install object files and headers
* Mon Mar 26 2012 cfarrell@suse.com
- license update: CDDL-1.0
  SPDX format
* Wed Sep 14 2011 coolo@suse.com
- do not build ctcs for 12.0+
* Sat Sep 10 2011 coolo@suse.com
- fix build with newer ld
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Fri Jul  4 2008 pkirsch@suse.de
- added libmicro-ctcs-glue package, now the tcf is packaged and
  can be run from the SUT without the need of NIS
* Wed May 28 2008 pkirsch@suse.de
- removed warning for bnc#394556,
  thanks to David Binderman
* Mon Mar 17 2008 yxu@suse.de
- retrieve the essential test executing file: bench.sh
- clarify the path for binary in bench.sh
* Fri Jul 13 2007 pkirsch@suse.de
- initial package
